Bug 97543 - dd with if=/dev/fd0 hangs system
Summary: dd with if=/dev/fd0 hangs system
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-17 15:41 UTC by jason
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jason 2003-06-17 15:41:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Several actions result in the system freezing; all of them involve the floppy
drive.  Ive already replaced the drive, cable, and floppies im working with.

First, using dd with the floppy.  The command
dd if=/dev/fd0 of=./bootdisk.img bs=512
always freezes the machine.

Second, trying to make a FAT16 on a floppy.  The command
mkdosfs -r 16 /dev/fd0
always freezes the machine.

Third, letting linux probe a floppy for filesystem.  The command
mount /mnt/floppy
freezes the system.  However, the command
mount -t msdos /dev/fd0 /mnt/floppy
mounts the floppy just fine allowing normal use.  The relavent line in /etc/fstab is

/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0

which works fine on other linux systems.

I suspect this might be a kernel problem, but I have no way to check that.  If
it is a hardware issue, then it is very specialised.  If i mount a floppy
explicitely, then there are no problems.

Version-Release number of selected component (if applicable):
fileutils-4.1.9-11

How reproducible:
Always

Steps to Reproduce:
dd if=/dev/fd0 of=./blah.img bs=512
or
mkdosfs -r 16 /dev/fd0
or
mount /mnt/floppy


Actual Results:  Total system freeze.  Had to hit the reset switch.

Expected Results:  copy the disk image
or
make a FAT16 filesystem on the floppy
or
mount a FAT12 filesystem

Additional info:

4 IDE channels with 4 drives might have a bearing(i doubt it though).

Comment 1 Alan Cox 2003-06-22 17:47:27 UTC
What chipset system ?
Is it multiprocessor ?
Does floppy=nodma as a boot option help ?


Comment 2 jason 2003-06-23 15:15:34 UTC
Motherboard is an asus P4S8X-X, single CPU, northbridge chipset is SiS 648,
southbridge is SiS 963.
floppy=nodma does seem to fix it.

Comment 3 Bugzilla owner 2004-09-30 15:41:09 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.